Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Record Class SqlResponse

java.lang.Object
java.lang.Record
org.firebirdsql.gds.ng.wire.SqlResponse

Record Components:
  `count` - number of rows following (either `0` or `1`)

All Implemented Interfaces:
  `Response`

public record SqlResponse(int count) extends Record implements Response

Since:
  3.0
Author:
  Mark Rotteveel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SqlResponse(int count)`
  Creates an instance of a `SqlResponse` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SqlResponse

    public SqlResponse(int count)
    Creates an instance of a `SqlResponse` record class.
    Parameters:
      `count` - the value for the `count` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### count

    public int count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component